Package org.gitana.platform.client.deletion

# Interface Deletion

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `RepositoryDocument`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `DeletionImpl`

public interface Deletion extends RepositoryDocument, Selfable, TypedID

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_DELETION`
`static final String`
`FIELD_DELETION_ASSOCIATION`
`static final String`
`FIELD_DELETION_CHANGESET_ID`
`static final String`
`FIELD_DELETION_DELETED_BY`
`static final String`
`FIELD_DELETION_DELETED_ON`
`static final String`
`FIELD_DELETION_NODE_ID`
`static final String`
`FIELD_DELETION_TRANSACTION`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`Branch`
`getBranch()`
`String`
`getBranchId()`
`boolean`
`getDeletionAssociation()`
`String`
`getDeletionChangesetId()`
`String`
`getDeletionDeletedBy()`
`Calendar`
`getDeletionDeletedOn()`
`String`
`getDeletionNodeId()`
`boolean`
`getDeletionTransaction()`
`void`
`restore()`
`void`
`restore(com.fasterxml.jackson.databind.node.ObjectNode data)`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.repository.RepositoryDocument

`getRepository, getRepositoryId`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_DELETION

static final String FIELD_DELETION

See Also:
  - Constant Field Values

### FIELD_DELETION_NODE_ID

static final String FIELD_DELETION_NODE_ID

See Also:
  - Constant Field Values

### FIELD_DELETION_DELETED_ON

static final String FIELD_DELETION_DELETED_ON

See Also:
  - Constant Field Values

### FIELD_DELETION_DELETED_BY

static final String FIELD_DELETION_DELETED_BY

See Also:
  - Constant Field Values

### FIELD_DELETION_CHANGESET_ID

static final String FIELD_DELETION_CHANGESET_ID

See Also:
  - Constant Field Values

### FIELD_DELETION_TRANSACTION

static final String FIELD_DELETION_TRANSACTION

See Also:
  - Constant Field Values

### FIELD_DELETION_ASSOCIATION

static final String FIELD_DELETION_ASSOCIATION

See Also:
  - Constant Field Values

## Method Details

### getDeletionNodeId

String getDeletionNodeId()

### getDeletionDeletedOn

Calendar getDeletionDeletedOn()

### getDeletionDeletedBy

String getDeletionDeletedBy()

### getDeletionChangesetId

String getDeletionChangesetId()

### getDeletionTransaction

boolean getDeletionTransaction()

### getDeletionAssociation

boolean getDeletionAssociation()

### getBranch

Branch getBranch()

### getBranchId

String getBranchId()

### restore

void restore()

### restore

void restore(com.fasterxml.jackson.databind.node.ObjectNode data)